local AddOnName, AddOn = ...
local L = LibStub("AceLocale-3.0"):NewLocale(AddOnName, "enUS", true)

L.ADDON_NAME = "Vendetta"

-- Bindings
BINDING_HEADER_VENDETTA = "Immersive Controls"
BINDING_NAME_VENDETTA_MARK1 = "Mark Target (1 Star)"
BINDING_NAME_VENDETTA_MARK2 = "Mark Target (2 Star)"
BINDING_NAME_VENDETTA_MARK3 = "Mark Target (3 Star)"

-- Configuration Module
L.CONFIG_OPTIONS_NAME = "Vendetta"
L.CONFIG_OPTIONS_TITLE = "Vendetta"
L.CONFIG_OPTIONS_SUBTEXT = "These options affect Vendetta and all of its activated modules."
L.CONFIG_OPTIONS_DEBUG_TEXT = "Debug Mode"
L.CONFIG_OPTIONS_DEBUG_TOOLTIP = "Enables developer mode."
L.CONFIG_OPTIONS_VERSION_TEXT = "|TInterface\\OptionsFrame\\UI-OptionsFrame-NewFeatureIcon:0:0:0:-1|t  Current addon version: v%s"

L.CONFIG_OPTIONS_PROFILES_NAME = "Profiles"
L.CONFIG_OPTIONS_PROFILES_TITLE = "Profiles"
L.CONFIG_OPTIONS_PROFILES_SUBTEXT = "These options affect the currently active settings profile."
L.CONFIG_OPTIONS_PROFILES_RESET_TEXT = "Reset the settings of the currently active profile to its default values"
L.CONFIG_OPTIONS_PROFILES_RESET_TITLE = "Reset Profile"
L.CONFIG_OPTIONS_PROFILES_RESET_TOOLTIP = "All settings in the currently active profile will be reset to their default values."
L.CONFIG_OPTIONS_PROFILES_RESET_PROFILE = "|cffffbb00Current Profile:|cffffffff %s"
L.CONFIG_OPTIONS_PROFILES_COPY_TEXT = "Copy the settings from one existing profile into the currently active profile."
L.CONFIG_OPTIONS_PROFILES_COPY_TITLE = "Existing Profiles"
L.CONFIG_OPTIONS_PROFILES_COPY_TOOLTIP = "The selected existing profile settings will be copied into the currently active profile."

L.CONFIG_OPTIONS_PROFILES_RESET_CONFIRM = "Are you sure you wish to reset the currently active profile to its default values?"
L.CONFIG_OPTIONS_PROFILES_RESET_CONFIRM_YES = "Yes"
L.CONFIG_OPTIONS_PROFILES_RESET_CONFIRM_NO = "No"
L.CONFIG_OPTIONS_PROFILES_COPY_CONFIRM = "Are you sure you wish to override the currently active profile with the selected existing profile?"
L.CONFIG_OPTIONS_PROFILES_COPY_CONFIRM_YES = "Yes"
L.CONFIG_OPTIONS_PROFILES_COPY_CONFIRM_NO = "No"

L.CONFIG_OPTIONS_RELOAD_REQUIRED = "To apply the selected changes, reloading the UI is required. Reload UI now?"
L.CONFIG_OPTIONS_RELOAD_REQUIRED_YES = "Yes"
L.CONFIG_OPTIONS_RELOAD_REQUIRED_NO = "No"

-- Default Module
L.DEFAULT_DEBUG_WELCOME = "Hello |c%s%s|cffffffff, revenge is a poison meant for others, which we end up consuming ourselves!"

L.DEFAULT_DROPDOWN_VENDETTA = "Vendetta"
L.DEFAULT_DROPDOWN_VENDETTA_MARK1 = "1 Star"
L.DEFAULT_DROPDOWN_VENDETTA_MARK2 = "2 Star"
L.DEFAULT_DROPDOWN_VENDETTA_MARK3 = "3 Star"
L.DEFAULT_DROPDOWN_VENDETTA_UNMARK = "Unmark"

L.DEFAULT_OPTIONS_NAME = "Default UI"
L.DEFAULT_OPTIONS_TITLE = "Default Blizzard UI"
L.DEFAULT_OPTIONS_SUBTEXT = "These options affect the behaviour of all supported default interface elements."
L.DEFAULT_OPTIONS_ENABLED_TEXT = "Enabled"
L.DEFAULT_OPTIONS_ENABLED_TOOLTIP = "Enable or disable the Default UI module."