﻿local Engine, Api, Locale, Settings = unpack(Vendetta)

-- Extensions
local debug = Engine.Core.Debug

-- Registration
Api = Engine:RegisterModule("Api", Api)

Api.Elements = {}

-- Initialize the module.
function Api:OnInitialize()
end

-- Called when the module is enabled.
function Api:OnEnable()
end

-- Called when the module is disabled.
function Api:OnDisable()
end

-- Register the default settings for the module.
function Api:OnRegisterDefaults()
	return {
		Enabled = true
	}
end

-- This method is global so it can be called from the bindings xml.
function VendettaMarkTarget(rating)
	if UnitExists("target") then
		local guid = UnitGUID("target")
		local default = Engine:GetModule("Default")
		default:Mark("target", rating)
	end
end